#ifndef __TIMERSYNTH_H
#define __TIMERSYNTH_H

void InitTimer23(void);
void InitTimer45(void);
void __attribute__((__interrupt__)) _T3Interrupt( void );


typedef union _WORD_VAL
{
    long val;
	int		i[2];
    char 	b[4];
    unsigned long uval;
	int		ui[2];
    char 	ub[4];
} WORD_VAL;

#define LSBi(a)          ((a).i[0])
#define MSBi(a)          ((a).i[1])

void Osc1NoteOn(char note);
void Osc2NoteOn(char note);
void Osc1NoteOff();
void Osc2NoteOff();

extern char Flageolet1;
extern char Flageolet2;
extern void Osc1Calc();
extern void Osc2Calc();
extern signed char NoteOffset1;
extern signed char NoteOffset2;

extern int pitchBend1;
extern int pitchBend2;
extern int DutyCycle1;
extern int DutyCycle2;

#endif
